REST API v1
Automation platforms
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
Actions this key can run, with input and output samples
GET /automation/actions
Scope webhooks:read · Cost 1
Triggers (event types) this key can receive, with samples
GET /automation/triggers
Scope webhooks:read · Cost 1
REST Hook subscriptions of this key
GET /hooks
Scope webhooks:read · Cost 1
Subscribe a REST Hook (Zapier, Make, n8n) to one event type
POST /hooks
Scope webhooks:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
Idempotency-Key | header · string |
Unsubscribe a REST Hook
DELETE /hooks/{id}
Scope webhooks:write · Cost 2
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string | |
Idempotency-Key | header · string |